﻿
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Demo06_BinaryFormatter
{
    [Serializable]
    public class SerializeObject
    {
        public string Name { get; set; }
        //二进制序列化会把所有的属性字段都序列化，包括私有private，
        //如果不想序列化，使用特性[NonSerialized]
        private string _desc { get; set; }
        public int _Age;
        [NonSerialized]
        private bool _sex;
        public SerializeObject(string name,string desc,int age,bool sex)
        {
            this.Name = name;
            this._desc = desc;
            this._Age = age;
            this._sex = sex;
        }
    }
}
