﻿using System;
using System.Xml.Serialization;

namespace Demo06_XmlSerializer
{
    [Serializable]
    public class SerializeObject
    {
        public string Name { get; set; }
        public int _Age;
        public MyObject MyObjectDate { get; set; }
        [XmlIgnore]  //加特性后不进行序列化
        public int Count { get; set; }
        private bool _sex; //私有属性字段不序列化
        public SerializeObject(string name, int age, bool sex)
        {
            this.Name = name;
            this._Age = age;
            this._sex = sex;
            this.MyObjectDate=new MyObject() { CreateTime = DateTime.Now };
        }
        public SerializeObject() //序列化的时候必须要无参的构造函数
        {

        }
    }
    public class MyObject
    {
        public DateTime CreateTime { get; set; }
    }
}
