﻿using System;
using System.IO;
using System.Runtime.Serialization;
using System.Runtime.Serialization.Formatters.Binary;

namespace Demo06_BinaryFormatter
{
    internal class Program
    {
        static void Main(string[] args)
        {
            ////序列化代码
            //SerializeObject serializeObject = new SerializeObject("BigBox777","永远18岁",18,true);
            //BinaryFormatter formatter = new BinaryFormatter();
            //using (Stream stream=new FileStream("MyFile.bin",FileMode.OpenOrCreate,FileAccess.Write,FileShare.None))
            //{
            //    formatter.Serialize(stream, serializeObject);

            //    Console.WriteLine(stream.Length);
            //}


            ////反序列化代码
            //BinaryFormatter formatter = new BinaryFormatter();
            //using (Stream stream = new FileStream("MyFile.bin", FileMode.Open, FileAccess.Read, FileShare.None))
            //{
            //    var obj = formatter.Deserialize(stream);
            //    if(obj is SerializeObject)
            //    {
            //        var serializeObject = (SerializeObject)obj;
            //    }
            //}


            ////自定义序列化
            //CustomerSerialize customerSerialize = new CustomerSerialize("BigBox777", "永远18岁", 18, true);
            //BinaryFormatter formatter = new BinaryFormatter();
            //using (Stream stream = new FileStream("MyFile.bin", FileMode.OpenOrCreate, FileAccess.Write, FileShare.None))
            //{
            //    formatter.Serialize(stream, customerSerialize);

            //    Console.WriteLine(stream.Length);
            //}

            //自定义反序列化
            BinaryFormatter formatter = new BinaryFormatter();
            using (Stream stream = new FileStream("MyFile.bin", FileMode.Open, FileAccess.Read, FileShare.None))
            {
                var obj = formatter.Deserialize(stream);
                if (obj is CustomerSerialize)
                {
                    var customerSerialize = (CustomerSerialize)obj;
                }
            }

            Console.ReadLine();
        }
    }
}
